# Generated from rubocop-definition_validator-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-definition_validator

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: This tool detects omission of modification of callers when the name of a method, number of arguments, or the name of a keyword argument is modified
License: MIT
URL: https://github.com/actcat/rubocop-definition_validator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(guard) >= 2.13.0
# BuildRequires: rubygem(guard) < 2.14
# BuildRequires: rubygem(guard-rspec) >= 4.6.5
# BuildRequires: rubygem(guard-rspec) < 4.7
# BuildRequires: rubygem(guard-bundler) >= 2.1.0
# BuildRequires: rubygem(guard-bundler) < 2.2
# BuildRequires: rubygem(pry) >= 0.10.3
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(rspec-power_assert) >= 0.3.0
# BuildRequires: rubygem(rspec-power_assert) < 0.4
# BuildRequires: rubygem(pry_testcase) >= 0.3.0
# BuildRequires: rubygem(pry_testcase) < 0.4
BuildArch: noarch

%description
This tool detects omission of modification of callers when the name of a
method, number of arguments, or the name of a keyword argument is modified.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Guardfile
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubocop-definition_validator.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.5-1
- Initial package
